import useWebSocketConnection from "./useWebSocketConnection";

function useBackendData() {

  const { onMessage, sendMessage } = useWebSocketConnection();

  const { roomData, setRoomData } = useRoomData()


  onMessage(
    (messageString) => {
      const messageObject = JSON.parse(messageString)

      !!messageObject.roomData && setRoomData(messageObject.roomData)

    }
  )


}
